#version 450 core

in vec2 texCoords;

layout(location=0) out vec4 color;

struct Material {
	sampler2D texture_diffuse1; // actually colormap
	sampler2D texture_specular1; // actually depthmap
};

uniform Material material;

void main() {
	vec2 uv = texCoords;
	uv.y = uv.y * -1 + 1;
	color.rgb = texture(material.texture_diffuse1, uv).rgb;
}
